Package org.pushingpixels.lafwidget.tree.dnd

# Class DnDVetoException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.pushingpixels.lafwidget.tree.dnd.DnDVetoException

All Implemented Interfaces:
  `Serializable`

public class DnDVetoException extends Exception
DnDVetoException is an exception thrown to signal that a drag and drop operation is not valid.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DnDVetoException(String aMessage)`
Creates a new instance of DnDVetoException

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DnDVetoException

public DnDVetoException(String aMessage)
Creates a new instance of DnDVetoException

Parameters:
  `aMessage` - the message to show.